zenilib: zenilib/jni/external/freetype2/include/freetype/ftotval.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
ftotval.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Macros

#define | FT_VALIDATE_BASE 0x0100
#define | FT_VALIDATE_GDEF 0x0200
#define | FT_VALIDATE_GPOS 0x0400
#define | FT_VALIDATE_GSUB 0x0800
#define | FT_VALIDATE_JSTF 0x1000
#define | FT_VALIDATE_MATH 0x2000
#define | FT_VALIDATE_OT

## Functions

| FT_OpenType_Free (FT_Face face, FT_Bytes table)
| FT_OpenType_Validate (FT_Face face, FT_UInt validation_flags, FT_Bytes *BASE_table, FT_Bytes *GDEF_table, FT_Bytes *GPOS_table, FT_Bytes *GSUB_table, FT_Bytes *JSTF_table)

## Macro Definition Documentation

#define FT_VALIDATE_BASE 0x0100

Definition at line 96 of file ftotval.h.

Referenced by otv_validate().

#define FT_VALIDATE_GDEF 0x0200

Definition at line 97 of file ftotval.h.

Referenced by otv_validate().

#define FT_VALIDATE_GPOS 0x0400

Definition at line 98 of file ftotval.h.

Referenced by otv_validate().

#define FT_VALIDATE_GSUB 0x0800

Definition at line 99 of file ftotval.h.

Referenced by otv_validate().

#define FT_VALIDATE_JSTF 0x1000

Definition at line 100 of file ftotval.h.

Referenced by otv_validate().

#define FT_VALIDATE_MATH 0x2000

Definition at line 101 of file ftotval.h.

Referenced by otv_validate().

#define FT_VALIDATE_OT

Value:
FT_VALIDATE_BASE | \
FT_VALIDATE_GDEF | \
FT_VALIDATE_GPOS | \
FT_VALIDATE_GSUB | \
FT_VALIDATE_JSTF | \
FT_VALIDATE_MATH
FT_VALIDATE_MATH
#define FT_VALIDATE_MATH
Definition: ftotval.h:101
FT_VALIDATE_GDEF
#define FT_VALIDATE_GDEF
Definition: ftotval.h:97
FT_VALIDATE_JSTF
#define FT_VALIDATE_JSTF
Definition: ftotval.h:100
FT_VALIDATE_GPOS
#define FT_VALIDATE_GPOS
Definition: ftotval.h:98
FT_VALIDATE_BASE
#define FT_VALIDATE_BASE
Definition: ftotval.h:96
FT_VALIDATE_GSUB
#define FT_VALIDATE_GSUB
Definition: ftotval.h:99

Definition at line 103 of file ftotval.h.

## Function Documentation

FT_OpenType_Free | ( | FT_Face | face,
|  | FT_Bytes | table
| ) |  |

Definition at line 74 of file ftotval.c.

References FT_FACE_MEMORY, and FT_FREE.

FT_OpenType_Validate | ( | FT_Face | face,
|  | FT_UInt | validation_flags,
|  | FT_Bytes * | BASE_table,
|  | FT_Bytes * | GDEF_table,
|  | FT_Bytes * | GPOS_table,
|  | FT_Bytes * | GSUB_table,
|  | FT_Bytes * | JSTF_table
| ) |  |

Definition at line 27 of file ftotval.c.

References error, FT_Err_Invalid_Argument, and FT_FACE_FIND_GLOBAL_SERVICE.